#pragma once

#include <glew.h>
#include <iostream>

/** A class representing a Framebuffer object */
class FBO
{
public:
	FBO();
	~FBO();

    /** returns the framebuffer id */
	const GLuint getID() const;

    /** returns the texture id */
	const GLuint getTXO() const;

private:
	/** id of this framebuffer object */
	GLuint id;

	/** id of this framebuffer's texture */
	GLuint txo;
};

