
#include <iostream>
#include <QtCore\QCoreApplication>
#include <QtWidgets\qwidget.h>
#include <QtWidgets\qapplication.h>
//#include <QtWidgets\qmessagebox.h>

#include "GUI\MainWindow.h"

int main(int argc, char *argv[])
{

    QCoreApplication::setAttribute(Qt::AA_UseDesktopOpenGL, true);
	QSurfaceFormat format;
	format.setVersion(4, 5);
	format.setSamples(4);
	format.setProfile(QSurfaceFormat::CoreProfile);
	format.setSwapBehavior(QSurfaceFormat::DoubleBuffer);
	QSurfaceFormat::setDefaultFormat(format);

    
	QApplication a(argc, argv);

	MainWindow mainWindow;
	try {
		mainWindow.show();
	}
	catch (std::exception& e) {
		//QMessageBox::warning(mainWindow, "WARNING", "GLEW ERROR");
		std::cout << e.what() << std::endl;
		
	}

	return a.exec();
}
