#pragma once

/** A structure representing the transfer function, which is then passed to the shader for rendering purposes */
struct TransferFunction {
	TransferFunction() {};
	TransferFunction(int f, int s, float o, float c[3]) {
		firstValue = f;
		secondValue = s;
		optValue = o;
		color[0] = c[0];
		color[1] = c[1];
		color[2] = c[2];
	}

	/** the minimal value */
	int firstValue = 0;

	/** the maximal value */
	int secondValue = 255;

	/** the opacity value */
	float optValue = 0.01;

	/** the color value for given grey value range */
	float color[3] = {1, 0, 0};
};